org.apache.lucene.messages

## Interface Message

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    MessageImpl

      public interface Message
      extends java.io.Serializable

  Message Interface for a lazy loading. For Native Language Support (NLS), system of software internationalization.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getArguments()`
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getLocalizedMessage()`
    `java.lang.String` | `getLocalizedMessage(java.util.Locale locale)`

- - ### Method Detail

    - #### getKey

          java.lang.String getKey()

    - #### getArguments

          java.lang.Object[] getArguments()

    - #### getLocalizedMessage

          java.lang.String getLocalizedMessage()

    - #### getLocalizedMessage

          java.lang.String getLocalizedMessage(java.util.Locale locale)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.